%ifarch %{valgrind_arches}
%global         has_valgrind 1
%endif

Name:           gcr4
Version:        4.0.0
Release:        1
Summary:        A library for bits of crypto UI and parsing
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/CryptoGlue
Source0:        https://download.gnome.org/core/43/43.1/sources/gcr-%{version}.tar.xz

Patch9000:      remove-sensitive-info.patch

BuildRequires:  pkgconfig(gio-unix-2.0) pkgconfig(gobject-introspection-1.0) pkgconfig(gtk+-3.0) pkgconfig(p11-kit-1) >= 0.19.0
BuildRequires:  chrpath docbook-style-xsl libgcrypt-devel desktop-file-utils intltool vala gnupg2 libxslt meson
BuildRequires:  gi-docgen gettext cmake pkgconfig(libsecret-1) pkgconfig(libsystemd) gtk4-devel
%if 0%{?has_valgrind}
BuildRequires:  valgrind-devel
%endif
BuildRequires:  /usr/bin/gpg2
BuildRequires:  openssh-clients
BuildRequires:  openssh-clients
BuildRequires:  libxslt

Requires: %{name}-base%{?_isa} = %{version}-%{release}
Requires: openssh-clients

%description
gcr is a library for displaying certificates, and crypto UI, accessing key stores. It also provides a viewer for
crypto files on the GNOME desktop.gck is a library for accessing PKCS#11 modules like smart cards.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Conflicts:       %{name}-devel < 3.90.0

%description    devel
The gcr-devel package includes the header files for the gcr library.

%package base
Summary: Library files for gcr
Conflicts: %{name} < %{version}
 
%description base
The gcr-base package includes the gcr-base library.

%prep
%autosetup -n gcr-%{version} -p1
# Use system valgrind headers instead
%if 0%{?has_valgrind}
rm -rf build/valgrind/ 
%endif

%build
%meson
%meson_build

%install
%meson_install

#%%find_lang %{name}

%check
#desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gcr-viewer.desktop

%post
%systemd_user_post gcr-ssh-agent.service
 
%preun
%systemd_user_preun gcr-ssh-agent.service
 
%postun
%systemd_user_postun_with_restart gcr-ssh-agent.service

#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc NEWS README.md
%license COPYING
%{_bindir}/gcr-viewer-gtk4
%{_libexecdir}/gcr-ssh-agent
%{_libexecdir}/gcr4-ssh-askpass
%{_userunitdir}/gcr-ssh-agent.service
%{_userunitdir}/gcr-ssh-agent.socket
 
%files devel
%{_includedir}/gck-2
%{_includedir}/gcr-4
%{_libdir}/libgck-2.so
%{_libdir}/libgcr-4.so
%{_libdir}/pkgconfig/gck-2.pc
%{_libdir}/pkgconfig/gcr-4.pc
%{_datadir}/gir-1.0
%{_datadir}/doc
%{_datadir}/vala/
 
%files base
%{_datadir}/locale
%{_libdir}/girepository-1.0
%{_libdir}/libgck-2.so.*
%{_libdir}/libgcr-4.so.*

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 4.0.0-1
- Add patch to remove sensitive info.
- Package init
